<div class="box">
    <table class='table' aria-label="Gestionnaire de tâches">
        <tr>
            <th class="w300">État</th>
            <td>
                {% if daemonManager.status() %}
                    <span class='alert alert-success'>Le gestionnaire de tâches est actif</span>
                    <a href="{{ path('app.legacy.daemon_daemonStop') }}" class="btn btn-danger" id="arreter_deamon"
                       name="arreter_deamon"><i class="fa fa-stop"></i>&nbsp; Arrêter</a>
                {% else %}
                    <span class='alert alert-danger'>Le gestionnaire de tâches est arrêté</span>
                    <a href="{{ path('app.legacy.daemon_daemonStart') }}" class="btn btn-success">
                        <i class="fa fa-play"></i>&nbsp;Démarrer
                    </a>
                {% endif %}
            </td>
        </tr>
        <tr>
            <th>PID</th>
            <td>{{ daemon_pid }}</td>
        </tr>
        <tr>
            <th>Processus simultanés maximum</th>
            <td>{{ constant('NB_WORKERS') }}</td>
        </tr>
        <tr>
            <th>Processus en cours d'exécution</th>
            <td>{{ nb_worker_actif }}</td>
        </tr>
        <tr>
            <th>Travaux en attente</th>
            <td>
                {{ job_stat_info.nb_wait }}
            </td>
        </tr>
        <tr>
            <th>Travaux suspendus</th>
            <td>
                {{ job_stat_info.nb_lock }}
                {% if (job_stat_info.nb_lock_one_hour) %}
                    <span class='alert alert-warning'>
                        <a href="{{ path('app.legacy.daemon_job', {'filtre': 'lock'}) }}">
                            {{ job_stat_info.nb_lock_one_hour }} depuis plus d'une heure !
                        </a>
                    </span>
                {% endif %}
            </td>
        </tr>
        <tr>
            <th>Nombre total de travaux</th>
            <td>{{ job_stat_info.nb_job }}</td>
        </tr>
        <tr>
            <th>Date du système</th>
            <td>{{ gabarit.FancyDate.getDateFr() }}</td>
        </tr>

    </table>
</div>

{% include 'daemon/job_list.html.twig' %}
